---
name: Bug Report
about: Create a report to help us improve
labels: bug
---

<!-- Note: Please follow the template to open a new issue, otherwise your question will probably be ignored. If you are new to Jekyll or Github Pages, you may be misreporting bugs. When you are not sure if this is a bug, choose to the `Question` type instead. -->


## Checklist
<!-- Please complete the following list of tasks, and then check it by change the "[ ]" to "[x]" -->
- [ ] I have read the [tutorials](https://chirpy.cotes.info/categories/tutorial/) and know the correct effect of the functional design.
- [ ] There are no similar reports on existing issues (including closed ones).
- [ ] I found the bug on the latest code of `master` branch.

## Describe the bug
<!-- A clear and concise description of what the bug is. -->

### To Reproduce

Steps to reproduce the behavior:

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

### Expected behavior
<!-- A clear and concise description of what you expected to happen. -->

### Screenshots
<!-- If applicable, add screenshots to help explain your problem. -->

### Software
<!-- Please complete the following information -->
- Ruby version: [by running: `ruby -v`]
- Gem version: [by running: `gem -v`]
- Bundler version: [by running: `bundle -v`]
- Jekyll version: [by running: `bundle list | grep " jekyll "`]

### Desktop
<!-- Please complete the following information -->
- OS: [e.g. macOS 10.15.6]
- Browser: [e.g. Chrome 85.0.4183.83 (Official Build) (64-bit)]

### Smartphone
<!-- please complete the following information -->
- Device: [e.g. iPhone 6]
- OS: [e.g. iOS 13.6.1]
- Browser: [e.g. Chrome 22]

### Additional context
<!-- Add any other context about the problem here. -->
